Skip to navigation

Create account custom field

View as Markdown
This method creates a custom field and makes it available for all new envelopes associated with an account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Query parameters

apply_to_templatesstringOptional

(Optional) When true, the new custom field is applied to all of the templates on the account.

Request

This endpoint expects an object: customField

customFieldTypestringOptional

The type of custom field. Valid values are:

  • text (default)
  • list
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
fieldIdstringOptional
The ID of the custom field.
listItemslist of stringsOptional

For a list custom field, this is an array of strings that represent the items in a list.

Maximum Length: 2,000 characters.

namestringOptional
The name of the custom field.
requiredstringOptional

When true, the signer must complete the custom field.

showstringOptional

When true, the custom field displays at the top of the Certificate of Completion.

valuestringOptional

Specifies the value of the custom field.

Maximum Length: 2,000 characters.

Response

Successful response.
listCustomFieldslist of objectsOptional
An array of list custom fields.
textCustomFieldslist of objectsOptional
An array of text custom fields.

Errors

400
Bad Request Error